Agora Java API Reference for Android

Public Attributes | List of all members
agora::rtc::LocalAccessPointConfiguration Struct Reference

Configuration for the Local Access Point. More...

`#include <AgoraBase.h>`

## Public Attributes
const char ** | ipList
int | ipListSize
const char ** | domainList
int | domainListSize
const char * | verifyDomainName
LOCAL_PROXY_MODE | mode
AdvancedConfigInfo | advancedConfig
bool | disableAut

## Detailed Description

Configuration for the Local Access Point.

## Member Data Documentation

## ◆ ipList

const char** agora::rtc::LocalAccessPointConfiguration::ipList

Internal IP address list of the Local Access Point. Either ipList or domainList must be specified.

## ◆ ipListSize

int agora::rtc::LocalAccessPointConfiguration::ipListSize

Number of internal IP addresses for the Local Access Point. This value must match the number of IP addresses you provide.

## ◆ domainList

const char** agora::rtc::LocalAccessPointConfiguration::domainList

Domain name list of the Local Access Point. The SDK resolves the IP addresses of the Local Access Point from the provided domain names. The DNS resolution timeout is 10 seconds. Either ipList or domainList must be specified. If you specify both IP addresses and domain names, the SDK merges and deduplicates the resolved IP addresses and the specified IP addresses, then randomly selects one for load balancing.

## ◆ domainListSize

int agora::rtc::LocalAccessPointConfiguration::domainListSize

Number of domain names for the Local Access Point. This value must match the number of domain names you provide.

## ◆ verifyDomainName

const char* agora::rtc::LocalAccessPointConfiguration::verifyDomainName

Domain name for internal certificate verification. If left empty, the SDK uses the default domain name `secure-edge.local` for certificate verification.

## ◆ mode

LOCAL_PROXY_MODE agora::rtc::LocalAccessPointConfiguration::mode

Connection mode. See `LOCAL_PROXY_MODE`.

## ◆ advancedConfig

AdvancedConfigInfo agora::rtc::LocalAccessPointConfiguration::advancedConfig

Advanced options for the Local Access Point. See `AdvancedConfigInfo`.

## ◆ disableAut

bool agora::rtc::LocalAccessPointConfiguration::disableAut

Whether to disable vos-aut:

- true: (Default)disable vos-aut.
- false: not disable vos-aut